%define upstream_name	 POE-Component-Server-SimpleHTTP
%define	upstream_version 2.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:   	Perl extension to serve HTTP requests in POE
License:   	Artistic and GPL+	
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(HTTP::Date)
BuildRequires:  perl(HTTP::Status)
BuildRequires:  perl(MooseX::POE)
BuildRequires:  perl(POE::Filter::HTTP::Parser)
BuildRequires:  perl(Test::POE::Client::TCP)
BuildRequires:  perl(YAML)

BuildArch:	noarch

%{?perl_default_filter}

%description
POE::Component::Server::SimpleHTTP makes serving up HTTP requests a breeze in POE.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes n | %__perl Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/POE
%{_mandir}/man3/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 2.220.0-3pclos2017
- rebuild against updates

